2018-04-25 07:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004467Kali Linux[All Projects] Kali Package Bugpublic2018-01-15 18:36
ReporterDober 
Assigned Tosbrun 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.1 
Summary0004467: Metasploit not starting
DescriptionWhen I try to start MSF (from menu or msfconsole), I get multiple error:

/usr/lib/ruby/vendor_ruby/rbnacl/libsodium.rb:5:in `remove_const': constant RbNaCl::Libsodium::VERSION not defined (NameError)
    from /usr/lib/ruby/vendor_ruby/rbnacl/libsodium.rb:5:in `<module:Libsodium>'
    from /usr/lib/ruby/vendor_ruby/rbnacl/libsodium.rb:4:in `<module:RbNaCl>'
    from /usr/lib/ruby/vendor_ruby/rbnacl/libsodium.rb:3:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519.rb:5:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519_loader.rb:8:in `<module:ED25519Loader>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519_loader.rb:5:in `<module:Authentication>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519_loader.rb:1:in `<module:SSH>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519_loader.rb:1:in `<module:Net>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/authentication/ed25519_loader.rb:1:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/buffer.rb:5:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/transport/algorithms.rb:1:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh/transport/session.rb:6:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/net-ssh-4.2.0/lib/net/ssh.rb:11:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/exploit/fortinet.rb:5:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/exploit/mixins.rb:122:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/exploit.rb:226:in `<class:Exploit>'
    from /usr/share/metasploit-framework/lib/msf/core/exploit.rb:30:in `<module:Msf>'
    from /usr/share/metasploit-framework/lib/msf/core/exploit.rb:5:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/auxiliary/mqtt.rb:3:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/auxiliary/mixins.rb:26:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/auxiliary.rb:16:in `<class:Auxiliary>'
    from /usr/share/metasploit-framework/lib/msf/core/auxiliary.rb:14:in `<module:Msf>'
    from /usr/share/metasploit-framework/lib/msf/core/auxiliary.rb:4:in `<top (required)>'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/backports-3.11.0/lib/backports/std_lib.rb:9:in `require_with_backports'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `block in require'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /usr/share/metasploit-framework/vendor/bundle/ruby/2.3.0/gems/activesupport-4.2.10/lib/active_support/dependencies.rb:274:in `require'
    from /usr/share/metasploit-framework/lib/msf/core.rb:66:in `<top (required)>'
    from /usr/share/metasploit-framework/lib/msf/core/payload/apk.rb:3:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/payload/apk.rb:3:in `<top (required)>'
    from /usr/share/metasploit-framework/lib/msf/core/payload_generator.rb:2:in `require'
    from /usr/share/metasploit-framework/lib/msf/core/payload_generator.rb:2:in `<top (required)>'
    from /usr/bin/msfconsole:47:in `require'
    from /usr/bin/msfconsole:47:in `<main>'
Additional InformationPackage: metasploit-framework
Version: 4.16.28-0kali1
Attached Files

-Relationships
+Relationships

-Notes

~0007787

j_jito (reporter)

Temporary fix:

Comment all lines in /usr/lib/ruby/vendor_ruby/rbnacl/libsodium.rb

Save it and It should work after that.

~0007792

sbrun (manager)

A temporary fix is to remove the package ruby-rbnacl
The package version in Kali is 5.0.0: it's not compatible with the required version for metasploit (<< 5.0.0).
I don't know why it uses the installed gem instead of the gem included in metasploit.

Temporary fix implemented in metasploit version 4.16.30-0kali2

~0007794

sbrun (manager)

Fixed in version 4.16.30-0kali3
+Notes

-Issue History
Date Modified Username Field Change
2018-01-11 01:49 Dober New Issue
2018-01-11 08:28 j_jito Note Added: 0007787
2018-01-11 09:17 sbrun Assigned To => sbrun
2018-01-11 09:17 sbrun Status new => assigned
2018-01-11 09:17 sbrun Note Added: 0007792
2018-01-11 13:24 sbrun Status assigned => resolved
2018-01-11 13:24 sbrun Resolution open => fixed
2018-01-11 13:24 sbrun Fixed in Version => 2018.1
2018-01-11 13:24 sbrun Note Added: 0007794
+Issue History